package response

import "gitlab.wodcloud.com/smart-operation/so-operation-api/src/bean/entity"

type AlertRulesItem struct {
	entity.AlertRules `xorm:"extends"`
	AlertCondition    []entity.AlertCondition   `json:"alert_condition" form:"alert_condition" binding:"required"`
	AlertRange        []entity.RulesAlertRange  `json:"alert_range" form:"alert_range"  binding:"required,dive"`
	NotifyMethod      []string                  `json:"notify_method" form:"notify_method" binding:"max=2,dive,oneof=dingtalk sms"`
	NotifyRecipients  []entity.NotifyRecipients `json:"notify_recipients" form:"notify_recipients" binding:"dive"`
}

type AlertRulesList struct {
	TotalCount int64            `json:"total_count"`
	List       []AlertRulesItem `json:"list"`
}
